Get Price
Retrieve device pricing filtered by type (instant/review), warranty, and device type. Returns the user IP address
/api/priceঅনুরোধ করা পরামিতি
সকল পরামিতি অনুসন্ধান বা মৃতদেহের মাধ্যমে অতিক্রম করা যাবে
| পরামিতি | ধরন | আবশ্যক | বিবরণ |
|---|---|---|---|
token | string | আবশ্যক | User API token উদাহরণ: your_api_token_here |
type | string | বিকল্প | Price type: instant or review. Empty or 'all' returns all types instantreviewall উদাহরণ: instant |
warranty | string | বিকল্প | Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types 012346all উদাহরণ: 1 |
deviceType | string | বিকল্প | Device type: iphone or ipad. Empty or 'all' returns all device types iphoneipadall উদাহরণ: iphone |
প্রতিক্রিয়া
| পরামিতি | ধরন | আবশ্যক | বিবরণ |
|---|---|---|---|
code | number | আবশ্যক | Status code: 1=success, 0=failure উদাহরণ: 1 |
msg | string | আবশ্যক | Response message উদাহরণ: 查询成功 |
time | number | আবশ্যক | Server timestamp (Unix seconds) উদাহরণ: 1769675945 |
data | object | আবশ্যক | Response payload |
data.ip | string | আবশ্যক | User IP address উদাহরণ: 192.168.1.100 |
data.instant | object | array | আবশ্যক | Instant price (object for single, array for multiple). Only returned when type is empty, 'all', or 'instant' |
data.review | object | array | আবশ্যক | Review price (object for single, array for multiple). Only returned when type is empty, 'all', or 'review' |
*.warranty | string | আবশ্যক | Warranty type code উদাহরণ: 1 |
*.warrantyName | string | আবশ্যক | Warranty type name উদাহরণ: 标准版 |
*.deviceType | string | আবশ্যক | Device type উদাহরণ: iphone |
*.price | number | আবশ্যক | Price (unit: CNY) উদাহরণ: 10 |
ysucc | string | আবশ্যক | Success flag, returns "Ysucc" on success উদাহরণ: Ysucc |
Query all prices
Without type, warranty, deviceType params, returns all combinations
Query instant prices only
type=instant, returns all instant prices
ত্রুটিপূর্ণ কোড
000বহিরাগত ভাষা
X-Lang হেডারের সাথে API প্রতিক্রিয়া গ্রহণ করুন। টি কোড স্বয়ংক্রিয়ভাবে আপনার বর্তমান অবস্থানের জন্য ব্যবহার করা হচ্ছে।
X-Lang: bnzh, en, zh-TW, vi, ar, es, ruসমর্থিত ভাষাও সমর্থিত নয়; X-Lang এর অগ্রাধিকার গ্রহণ করা হয়। ওয়েব-সাইট ফাইলটির সাহায্যে সমর্থিত হয়।
কোড উদাহরণ
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphone" \
-H "X-Lang: bn"নোট
- 参数通过 Query 或 x-www-form-urlencoded 传递
- 摆烂版(4)和高摆烂版(6)仅支持秒出 + iPhone,不支持 iPad 和审核/预约
- 价格可能因用户不同而有所差异(用户专属价格)
- 返回的价格为添加单台设备的费用
কনসোলের মধ্যে এটি চেষ্টা করুন
বাগ পূরণ করুন এবং এটি পরীক্ষা করুন। এই সাইটের API- এ কেবল অনুরোধ করা হয়; URL- টি লক করা হয়েছে এবং আপনার বর্তমান লগ- ইন কুকি অন্তর্ভুক্ত করা যাবে না।
https://testypro.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphoneএই সাইটের লক করা হয়েছেUser API token
Price type: instant or review. Empty or 'all' returns all types
Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types
Device type: iphone or ipad. Empty or 'all' returns all device types